> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# activitystatus

> MDO provider for the ActivityStatus enum - NotStarted, Started, Completed

## "activitystatus" MDO List

MDO provider for the ActivityStatus enum: NotStarted, Started, Completed

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ActivityStatusProvider">ActivityStatusProvider</see> class.
The name of the MDO list is 'activitystatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/activitystatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("activitystatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 1  | Not started |           |           |
| 2  | Not done    |           |           |
| 3  | Completed   |           |           |

## Related MDO Lists

* "activitystatusheadings"
* "activitystatusheadingswithallitem"
* "activitystatusheadingswithallitemwithnoselection"
* "activitystatusheadingswithnoselection"
* "activitystatuswithallitem"
* "activitystatuswithallitemwithnoselection"
* "activitystatuswithnoselection"


## Related topics

- [Enum ActivityStatus](/en/automation/crmscript/reference/CRMScript.NetServer.ActivityStatus.md)
- [SuperOffice.WebApi.Data.ActivityStatus](/en/api/reference/webapi/SuperOffice.WebApi.Data.ActivityStatus.md)
- [SuperOffice.WebApi.Agents.AppointmentAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.AppointmentAgent.md)
- [SuperOffice.WebApi.Agents.IAppointmentAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IAppointmentAgent.md)
- [Namespace CRMScript.NetServer](/en/automation/crmscript/reference/CRMScript.NetServer.md)
- [Set Activity Status](/en/api/reference/restful/agent/appointment_agent/set-activity-status.md)
